Loading...
Searching...
No Matches
rpcbasic_inserter< T, uint64_t > Class Template Reference

Specialized inserter class for uint64_t data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_inserter (T *source, uint64_t(T::*func)() const)
| rpcbasic_inserter (T *source, uint64_t(T::*func)())
pmt::pmt_t | retrieve ()
| send `msg` to `msg_producer`
Public Member Functions inherited from rpcinserter_base< T, uint64_t >
| rpcinserter_base (T *source, uint64_t(T::*func)())
pmt::pmt_t | retrieve () override
| send `msg` to `msg_producer`
Public Member Functions inherited from gr::messages::msg_producer
| msg_producer ()
virtual | ~msg_producer ()

## Additional Inherited Members

Protected Attributes inherited from rpcinserter_base< T, uint64_t >
T * | _source
uint64_t(T::* | _func )()

## Detailed Description

template<typename T>
class rpcbasic_inserter< T, uint64_t >

Specialized inserter class for uint64_t data.

## Constructor & Destructor Documentation

## rpcbasic_inserter() [1/2]

template<typename T>

rpcbasic_inserter< T, uint64_t >::rpcbasic_inserter | ( | T * | source,
|  | uint64_t(T::* | func )() const )

inline

References rpcinserter_base< T, uint64_t >::rpcinserter_base().

## rpcbasic_inserter() [2/2]

template<typename T>

rpcbasic_inserter< T, uint64_t >::rpcbasic_inserter | ( | T * | source,
|  | uint64_t(T::* | func )() )

inline

References rpcinserter_base< T, uint64_t >::rpcinserter_base().

## Member Function Documentation

## retrieve()

template<typename T>

pmt::pmt_t rpcbasic_inserter< T, uint64_t >::retrieve | ( |  | ) |

inline virtual

send `msg` to `msg_producer`

Implements gr::messages::msg_producer.

References rpcinserter_base< T, Tfrom >::_func, rpcinserter_base< T, Tfrom >::_source, and pmt::from_uint64().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h